PETSc version 3.15.5
Fix/Edit manual page

# TaoLineSearchMonitor

Monitor the line search steps. This routine will otuput the iteration number, step length, and function value before calling the implementation specific monitor.

### Synopsis

    #include "petsctaolinesearch.h"
    PetscErrorCode TaoLineSearchMonitor(TaoLineSearch ls, PetscInt its, PetscReal f, PetscReal step)

### Input Parameters

| ls | - the TaoLineSearch context
| its | - the current iterate number (>=0)
| f | - the current objective function value
| step | - the step length

### Options Database Key

| -tao_ls_monitor | - Use the default monitor, which prints statistics to standard output

### Level

developer

### Location

src/tao/linesearch/interface/taolinesearch.c

### Implementations

TaoLineSearchMonitor_MT in src/tao/linesearch/impls/morethuente/morethuente.c
Index of all TaoLineSearch routines
Table of Contents for all manual pages
Index of all manual pages